Skip to content

Retrieve Documents and Signatories

Retrieve the valid blank ICFs and signatories for a participant.

GET/api/{version}/app/sitevault/econsent/participant/{participant_id}
NameDescription
participant_idThe Veeva SiteVault ID of the participant. You can use the /query interface to query the Participant (subject__v) object for the participant ID.
curl --location --request GET 'https://myvault.veevavault.com/api/v24.1/app/sitevault/econsent/participant/V0X000000002001' \ --header 'Authorization: {SESSION_ID}'
[
   {
       "subject__v.id": "V0X000000002001",
       "documents": [
           {
               "document.version_id__v": "40_1_0",
               "signatory__v": [
                   {
                       "signatory__v.id": "V5A000000004002"
                   }
               ]
           }

       ]
   }
]

The response lists the valid blank ICFs and signatories for the participant. Valid blank ICFs are those that are not already sent or in a workflow.